package com.ss.android.ugc.aweme.influencer.ecommercelive;

import X.HzT;
import X.KCq;
import X.KKv;
import X.KT7;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.lang.ref.WeakReference;
import java.util.List;
import java.util.Map;

public interface IECommerceLiveBridgeService {
    static {
        Covode.recordClassIndex(88276);
    }

    List<KCq> LIZ(KT7 kt7);

    Map<String, Class<?>> LIZ();

    Map<String, HzT> LIZ(KKv kKv, WeakReference<Context> weakReference);
}
